updating virtualmin pro in suse 10.0?

6 posts / 0 new
Last post
#1 Wed, 01/18/2006 - 07:06
AdamHolt

updating virtualmin pro in suse 10.0?

I noticed in yast software manager that there are a couple new updates, but there are locks on all of the webmin/virtualmin pro programs, so how does one upgrade, for example, wbm-virtual server on my end shows version 3.06-1 but the available version is 3.07-1, theres a couple packages (programs, whatever they are called in LInux) that are like this.

Am I supposed to unlock them, and use the checkmark and hit accept to update them, then lock them again or is there a mechanism built into virtualmin pro on suse 10.0 that will update them automatically at some point in time?

Wed, 01/18/2006 - 09:27
KevinRauth

Adam,

I am running SuSE 10.0. When I do an update I just use yast and do as search for webmin it should return a list of installed packages and a what is new (highlited in blue). If there is a newer version on the left side is an icon like a padlock that is shown on my system I then click on the padlock to get the reinstall or update icon showing instead of the padlock and accept the choice. If you look under help it will explain what each of the icons used in yast are. I have had no problems updating this way.

Wed, 01/18/2006 - 10:50
AdamHolt

So you ignore any conflicts that come up. When I tried to update both of them, the conflicts were over 25 items when I did it one by one, there were no conflicts, is it safe to just do them all at the same time? (the ones that are blue that is?)

Wed, 01/18/2006 - 13:16
KevinRauth

Adam,

From what I have seen all the conflicts are with webmin and virtualmin not the SuSE base system. As these are modules being installed into the base webmin / virtualmin system I have not seen any problems with installing all the packages at once.
This is a decision you must make for your system. Always error on the conservative side! If not sure do one package at a time and evaluate the conflicts that are shown. Yast is not the best at descering these conflicts.

Wed, 01/18/2006 - 13:36
KevinRauth

Adam,

A different method is to install yum. Setup your repositories information to point only to the virtualmin repositories. Get the gpg keys from Joe and install. You can then update webmin / virtualmin with the command yum -y update or yum update the first says yes to all packages the second lets you look at them. It will update only the webmin / virtualmin packages. This will let you setup a cron call to auto-update the webmin / virtualmin packages if you do not mind a auto-update. Use Yast, or apt to update the SuSE system.;)

Wed, 01/18/2006 - 15:39
Joe
Joe's picture

Hey guys,

I haven't seen conflicts in my SUSE system (though there have been a few missing dependency problems this week which should all be resolved). I may be doing something wrong in generation of my repository data, if you're getting conflicts--there are certainly no conflicts in the RPM packages themselves between any of the Virtualmin provided packages. But me and yast really don't get along very well, so it's entirely possible I'm not doing something right.

--

Check out the forum guidelines!